ECHO OFF

:: This script will execute newman postman tests
:: Prerequisites include postman and newman

call newman -v

IF %ERRORLEVEL% NEQ 0 (
    echo "newman could not be found"
    echo "Install newman with: "
    echo "    npm install -g newman"
    echo "See https://blog.postman.com/installing-newman-on-windows/ for details"
    EXIT /B 1
)

:: Run the search query with locations from test data
call newman run -k --folder "shop" -d data/shop_inputs.csv --bail -e postman/vendor-env.postman_environment.json postman/vendor-tests.postman_collection.json

call newman run -k --folder "shop" --folder "book" -d data/book_inputs.csv --bail -e postman/vendor-env.postman_environment.json postman/vendor-tests.postman_collection.json 
